GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/microblaze-linux-tdep.c File Reference
`#include "defs.h"`
`#include "frame.h"`
`#include "inferior.h"`
`#include "symtab.h"`
`#include "target.h"`
`#include "gdbcore.h"`
`#include "gdbcmd.h"`
`#include "symfile.h"`
`#include "objfiles.h"`
`#include "regcache.h"`
`#include "value.h"`
`#include "osabi.h"`
`#include "regset.h"`
`#include "solib-svr4.h"`
`#include "microblaze-tdep.h"`
`#include "trad-frame.h"`
`#include "frame-unwind.h"`
`#include "tramp-frame.h"`
`#include "linux-tdep.h"`

Go to the source code of this file.

## Functions
static int | microblaze_linux_memory_remove_breakpoint (struct gdbarch *gdbarch, struct bp_target_info *bp_tgt)
static void | microblaze_linux_sigtramp_cache (struct frame_info *next_frame, struct trad_frame_cache *this_cache, CORE_ADDR func, LONGEST offset, int bias)
static void | microblaze_linux_sighandler_cache_init (const struct tramp_frame *self, struct frame_info *next_frame, struct trad_frame_cache *this_cache, CORE_ADDR func)
static void | microblaze_linux_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_microblaze_linux_tdep (void)

## Variables
static struct tramp_frame | microblaze_linux_sighandler_tramp_frame

## Function Documentation

## ◆ _initialize_microblaze_linux_tdep()

void _initialize_microblaze_linux_tdep | ( | void |  | ) |

Definition at line 137 of file microblaze-linux-tdep.c.

References GDB_OSABI_LINUX, gdbarch_register_osabi(), and microblaze_linux_init_abi().

## ◆ microblaze_linux_init_abi()

static void microblaze_linux_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 119 of file microblaze-linux-tdep.c.

References linux_init_abi(), microblaze_linux_memory_remove_breakpoint(), microblaze_linux_sighandler_tramp_frame, set_gdbarch_memory_remove_breakpoint(), set_solib_svr4_fetch_link_map_offsets(), svr4_ilp32_fetch_link_map_offsets(), and tramp_frame_prepend_unwinder().

Referenced by _initialize_microblaze_linux_tdep().

## ◆ microblaze_linux_memory_remove_breakpoint()

static int microblaze_linux_memory_remove_breakpoint | ( | struct gdbarch * | gdbarch,
|  | struct bp_target_info * | bp_tgt
| ) |  |
| static

Definition at line 41 of file microblaze-linux-tdep.c.

References bp, BREAKPOINT_MAX, gdbarch_breakpoint_from_pc(), bp_target_info::reqstd_address, bp_target_info::shadow_contents, target_read_memory(), and target_write_raw_memory().

Referenced by microblaze_linux_init_abi().

## ◆ microblaze_linux_sighandler_cache_init()

static void microblaze_linux_sighandler_cache_init | ( | const struct tramp_frame * | self,
|  | struct frame_info * | next_frame,
|  | struct trad_frame_cache * | this_cache,
|  | CORE_ADDR | func
| ) |  |
| static

Definition at line 94 of file microblaze-linux-tdep.c.

References func, and microblaze_linux_sigtramp_cache().

## ◆ microblaze_linux_sigtramp_cache()

static void microblaze_linux_sigtramp_cache | ( | struct frame_info * | next_frame,
|  | struct trad_frame_cache * | this_cache,
|  | CORE_ADDR | func,
|  | LONGEST | offset,
|  | int | bias
| ) |  |
| static

Definition at line 65 of file microblaze-linux-tdep.c.

References frame_id_build(), frame_unwind_register_unsigned(), func, gdbarch_tdep(), get_frame_address_in_block(), get_frame_arch(), MICROBLAZE_BTR_REGNUM, MICROBLAZE_REGISTER_SIZE, MICROBLAZE_SP_REGNUM, offset, regnum, trad_frame_set_id(), and trad_frame_set_reg_addr().

Referenced by microblaze_linux_sighandler_cache_init().

## Variable Documentation

## ◆ microblaze_linux_sighandler_tramp_frame

struct tramp_frame microblaze_linux_sighandler_tramp_frame
| static

Initial value:
=
{
SIGTRAMP_FRAME,
4,
{
{ 0x31800077, -1 },
{ 0xb9cc0008, -1 },
{ TRAMP_SENTINEL_INSN },
},
microblaze_linux_sighandler_cache_init
}
TRAMP_SENTINEL_INSN
#define TRAMP_SENTINEL_INSN
Definition: tramp-frame.h:44
microblaze_linux_sighandler_cache_init
static void microblaze_linux_sighandler_cache_init(const struct tramp_frame *self, struct frame_info *next_frame, struct trad_frame_cache *this_cache, CORE_ADDR func)
Definition: microblaze-linux-tdep.c:94
SIGTRAMP_FRAME
Definition: frame.h:255

Definition at line 105 of file microblaze-linux-tdep.c.

Referenced by microblaze_linux_init_abi().